Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.validators.datatype
Class UnionDatatypeValidator

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.datatype.AbstractDatatypeValidator
            |
            +--weblogic.apache.xerces.validators.datatype.UnionDatatypeValidator

public class UnionDatatypeValidator
extends AbstractDatatypeValidator

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Jeffrey Rodriguez, Elena Litani UnionValidator validates that XML content is a W3C string type. Implements the September 22 XML Schema datatype Union Datatype type

Fields inherited from class weblogic.apache.xerces.validators.datatype.AbstractDatatypeValidator
`fBaseValidator, fFacetsDefined, fFlags, fLocale, fMessageProvider, fPattern, fRegex`

Constructor Summary
`UnionDatatypeValidator()`
`UnionDatatypeValidator(DatatypeValidator base, java.util.Hashtable facets, boolean derivedBy)`
`UnionDatatypeValidator(java.util.Vector base)`

Method Summary
`java.lang.Object` | `clone()` Returns a copy of this object.
`int` | `compare(java.lang.String value1, java.lang.String value2)`
`java.util.Vector` | `getBaseValidators()`
`java.util.Hashtable` | `getFacets()`
`java.lang.Object` | `validate(java.lang.String content, java.lang.Object state)` validate that a string is a W3C string type

Methods inherited from class weblogic.apache.xerces.validators.datatype.AbstractDatatypeValidator
`getBaseValidator, getErrorString, getWSFacet, setLocale`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnionDatatypeValidator

    public UnionDatatypeValidator()
                           throws InvalidDatatypeFacetException

### UnionDatatypeValidator

    public UnionDatatypeValidator(DatatypeValidator base,
                                  java.util.Hashtable facets,
                                  boolean derivedBy)
                           throws InvalidDatatypeFacetException

### UnionDatatypeValidator

    public UnionDatatypeValidator(java.util.Vector base)

Method Detail

### validate

    public java.lang.Object validate(java.lang.String content,
                                     java.lang.Object state)
                              throws InvalidDatatypeValueException

  validate that a string is a W3C string type

  Parameters:
    `content` - A string containing the content to be validated
    `list` -
  Throws:
    throws - InvalidDatatypeException if the content is not a W3C string type
    InvalidDatatypeValueException -
  Overrides:
    validate in class AbstractDatatypeValidator

### getFacets

    public java.util.Hashtable getFacets()

  Returns:
    A Hashtable containing the facets for this datatype.

### compare

    public int compare(java.lang.String value1,
                       java.lang.String value2)

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a copy of this object.

  Overrides:
    clone in class AbstractDatatypeValidator

### getBaseValidators

    public java.util.Vector getBaseValidators()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference